Bug 888030 - [i18n] some package set descriptions not translated
[i18n] some package set descriptions not translated
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
AcceptedNTH RejectedBlocker
: i18n, Reopened
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept 858628
  Show dependency treegraph
 
Reported: 2012-12-17 15:55 EST by Steve Tyler
Modified: 2014-03-16 23:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 08:23:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing package set descriptions in English, not Spanish (105.38 KB, image/png)
2012-12-17 15:55 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-12-17 15:55:52 EST
Created attachment 665118 [details]
screenshot showing package set descriptions in English, not Spanish

Description of problem:
Some package set descriptions are not translated.

Version-Release number of selected component (if applicable):
Fedora-18-TC2-x86_64-DVD.iso

How reproducible:
Always.

Steps to Reproduce:
1. Start DVD.
2. Select Spanish as the language.
3. Click on Seleccion de Software.

Actual results:
Some package set descriptions are displayed in English.
See attached screenshot.

Expected results:
All package set descriptions are displayed in Spanish.

Additional info:
Bug 858628, Comment 23.

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom ~/xfr/fedora/F18/F18-Final/TC2/Fedora-18-TC2-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 1 Bill Nottingham 2012-12-17 16:59:04 EST
I've just pulled updates from transifex.
Comment 2 Steve Tyler 2012-12-17 22:57:42 EST
Thanks, Bill. This string for Robotics is not in the English source:

Suite of packages for robotics development

https://fedora.transifex.com/projects/p/comps/resource/default/l/en/view/

NB: I checked every one ... :-)
Comment 3 Steve Tyler 2012-12-17 23:10:30 EST
The tags are missing underscores. Isn't there a tool that could detect this problem?

$ grep -n description comps-f18.xml.in | grep -v '_'
4805:    <description>Suite of packages for robotics development</description>

http://git.fedorahosted.org/cgit/comps.git/tree/comps-f18.xml.in
Comment 4 Bill Nottingham 2012-12-18 00:41:04 EST
Thanks, fixed in git and re-pushed to TX.
Comment 5 Steve Tyler 2012-12-21 14:57:55 EST
Proposing F18 blocker per Fedora 18 Final Release Criterion:
"14. All critical path actions on release-blocking desktop environments should correctly display all sufficiently complete translations available for use"[1]

1. Users need to be able to read package set descriptions to be informed about what they are installing.
2. Cannot be fixed with an update.

[1] https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria
Comment 6 Bill Nottingham 2012-12-21 15:06:50 EST
I've just pushed the current transifex contents to git. Anything not translated there... we don't have translations for, and would need translators to submit translations to transifex.
Comment 7 Steve Tyler 2012-12-21 15:14:14 EST
Thanks, Bill.
Comment 8 Adam Williamson 2012-12-21 16:28:33 EST
Discussed at 2012-12-21 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-21/f18final-blocker-review-7.2012-12-21-18.33.log.txt . Doesn't seem critical enough to block for, but accepted as NTH. The fix has already been pushed to comps, apparently, so this can be closed.
Comment 9 Steve Tyler 2012-12-21 16:33:15 EST
Why are you closing a bug before it has been _verified_ as fixed?
Comment 10 Bill Nottingham 2013-01-02 13:10:36 EST
Moving to MODIFIED. Also, new translations pushed to git today (although there aren't many changes).
Comment 11 Adam Williamson 2013-01-03 03:07:57 EST
steve: we don't verify fixes as a matter of course, only for blockers really.

Note You need to log in before you can comment on or make changes to this bug.